Loading...
Searching...
No Matches
vkd3d_device_create_info Struct Reference

A chained structure containing device creation parameters. More...

`#include <vkd3d.h>`

Collaboration diagram for vkd3d_device_create_info:
[legend]

## Data Fields

enum vkd3d_structure_type | type
| Must be set to VKD3D_STRUCTURE_TYPE_DEVICE_CREATE_INFO.
const void * | next
| Optional pointer to a structure containing further parameters.
D3D_FEATURE_LEVEL | minimum_feature_level
| The minimum feature level to request.
struct vkd3d_instance * | instance
| The vkd3d instance to use to create a device.
const struct vkd3d_instance_create_info * | instance_create_info
| The parameters used to create an instance, which is then used to create a device.
VkPhysicalDevice | vk_physical_device
| The Vulkan physical device to use.
const char *const * | device_extensions
| A list of Vulkan device extensions to request.
uint32_t | device_extension_count
| The number of elements in the device_extensions array.
IUnknown * | parent
| An object to be set as the device parent.
LUID | adapter_luid
| The adapter LUID to be set for the device.

## Detailed Description

A chained structure containing device creation parameters.

## Field Documentation

## adapter_luid

LUID vkd3d_device_create_info::adapter_luid

The adapter LUID to be set for the device.

This is not used by vkd3d except for being returned by GetAdapterLuid.

## device_extensions

const char* const* vkd3d_device_create_info::device_extensions

A list of Vulkan device extensions to request.

They are intended as required, so device creation will fail if any of them is not available.

## instance

struct vkd3d_instance* vkd3d_device_create_info::instance

The vkd3d instance to use to create a device.

Either this or instance_create_info must be set.

## instance_create_info

const struct vkd3d_instance_create_info* vkd3d_device_create_info::instance_create_info

The parameters used to create an instance, which is then used to create a device.

Either this or instance must be set.

## minimum_feature_level

D3D_FEATURE_LEVEL vkd3d_device_create_info::minimum_feature_level

The minimum feature level to request.

Device creation will fail with E_INVALIDARG if the Vulkan device doesn't have the features needed to fulfill the request.

## parent

IUnknown* vkd3d_device_create_info::parent

An object to be set as the device parent.

This is not used by vkd3d except for being returned by vkd3d_get_device_parent.

## vk_physical_device

VkPhysicalDevice vkd3d_device_create_info::vk_physical_device

The Vulkan physical device to use.

If it is NULL, the first physical device found is used, prioritizing discrete GPUs over integrated GPUs and integrated GPUs over all the others.

This parameter can be overridden by setting environment variable VKD3D_VULKAN_DEVICE.

The documentation for this struct was generated from the following file:

- include/vkd3d.h